Loading...
Searching...
No Matches
OgrePrerequisites.h File Reference
`#include "OgrePlatform.h"`
`#include <string>`
`#include <memory>`
`#include "OgreStdHeaders.h"`
`#include "OgreMemoryAllocatorConfig.h"`

## Namespaces

namespace | Ogre

## Macros

#define | _OgreMaybeExport
#define | OGRE_DEBUG_NS_BEGIN
#define | OGRE_DEBUG_NS_END
#define | OGRE_MIN_VERSION(MAJOR, MINOR, PATCH)
#define | OGRE_TOKEN_PASTE(x, y)
#define | OGRE_TOKEN_PASTE_INNER(x, y)
#define | OGRE_VERSION ((OGRE_VERSION_MAJOR << 16) | (OGRE_VERSION_MINOR << 8) | OGRE_VERSION_PATCH)

## Typedefs

template<typename T, size_t Alignment = OGRE_SIMD_ALIGNMENT>
using | Ogre::aligned_vector = std::vector<T, AlignedAllocator<T, Alignment>>
typedef SharedPtr< AnimableValue > | Ogre::AnimableValuePtr
typedef SharedPtr< Compositor > | Ogre::CompositorPtr
typedef Controller< float > | Ogre::ControllerFloat
typedef Controller< float > | Ogre::ControllerReal
typedef SharedPtr< DataStream > | Ogre::DataStreamPtr
typedef SharedPtr< GpuLogicalBufferStruct > | Ogre::GpuLogicalBufferStructPtr
typedef SharedPtr< GpuNamedConstants > | Ogre::GpuNamedConstantsPtr
typedef SharedPtr< GpuProgramParameters > | Ogre::GpuProgramParametersPtr
typedef GpuProgramParametersPtr | Ogre::GpuProgramParametersSharedPtr
typedef SharedPtr< GpuProgram > | Ogre::GpuProgramPtr
typedef SharedPtr< GpuSharedParameters > | Ogre::GpuSharedParametersPtr
typedef SharedPtr< HardwareBuffer > | Ogre::HardwareBufferPtr
typedef HardwareBufferPtr | Ogre::HardwareCounterBufferSharedPtr
typedef SharedPtr< HardwareIndexBuffer > | Ogre::HardwareIndexBufferPtr
typedef HardwareIndexBufferPtr | Ogre::HardwareIndexBufferSharedPtr
typedef SharedPtr< HardwarePixelBuffer > | Ogre::HardwarePixelBufferPtr
typedef HardwarePixelBufferPtr | Ogre::HardwarePixelBufferSharedPtr
typedef HardwareBufferPtr | Ogre::HardwareUniformBufferSharedPtr
typedef SharedPtr< HardwareVertexBuffer > | Ogre::HardwareVertexBufferPtr
typedef HardwareVertexBufferPtr | Ogre::HardwareVertexBufferSharedPtr
typedef GpuProgramFactory | Ogre::HighLevelGpuProgramFactory
typedef GpuProgramManager | Ogre::HighLevelGpuProgramManager
typedef GpuProgramPtr | Ogre::HighLevelGpuProgramPtr
typedef SharedPtr< Material > | Ogre::MaterialPtr
typedef SharedPtr< MemoryDataStream > | Ogre::MemoryDataStreamPtr
typedef SharedPtr< Mesh > | Ogre::MeshPtr
typedef FactoryObj< ParticleSystemRenderer > | Ogre::ParticleSystemRendererFactory
typedef SharedPtr< PatchMesh > | Ogre::PatchMeshPtr
typedef float | Ogre::Real
| Software floating point type.
typedef SharedPtr< RenderToVertexBuffer > | Ogre::RenderToVertexBufferPtr
typedef RenderToVertexBufferPtr | Ogre::RenderToVertexBufferSharedPtr
typedef SharedPtr< Resource > | Ogre::ResourcePtr
typedef SharedPtr< ShadowCameraSetup > | Ogre::ShadowCameraSetupPtr
typedef SharedPtr< Skeleton > | Ogre::SkeletonPtr
typedef std::string | Ogre::String
typedef std::stringstream | Ogre::StringStream
typedef SharedPtr< Texture > | Ogre::TexturePtr
typedef unsigned char | Ogre::uchar
| In order to avoid finger-aches :).
typedef unsigned int | Ogre::uint
typedef unsigned long | Ogre::ulong
typedef unsigned short | Ogre::ushort
typedef Vector< 2, Real > | Ogre::Vector2
typedef Vector< 2, float > | Ogre::Vector2f
typedef Vector< 2, int > | Ogre::Vector2i
typedef Vector< 3, Real > | Ogre::Vector3
typedef Vector< 3, float > | Ogre::Vector3f
typedef Vector< 3, int > | Ogre::Vector3i
typedef Vector< 4, Real > | Ogre::Vector4
typedef Vector< 4, float > | Ogre::Vector4f

## Variables

_OgreExport const String | Ogre::MOT_BILLBOARD_CHAIN
_OgreExport const String | Ogre::MOT_BILLBOARD_SET
_OgreExport const String | Ogre::MOT_CAMERA
_OgreExport const String | Ogre::MOT_ENTITY
_OgreExport const String | Ogre::MOT_FRUSTRUM
_OgreExport const String | Ogre::MOT_FRUSTUM
_OgreExport const String | Ogre::MOT_INSTANCE_BATCH
_OgreExport const String | Ogre::MOT_INSTANCED_ENTITY
_OgreExport const String | Ogre::MOT_LIGHT
_OgreExport const String | Ogre::MOT_MANUAL_OBJECT
_OgreExport const String | Ogre::MOT_MOVABLE_PLANE
_OgreExport const String | Ogre::MOT_PARTICLE_SYSTEM
_OgreExport const String | Ogre::MOT_RECTANGLE2D
_OgreExport const String | Ogre::MOT_RIBBON_TRAIL
_OgreExport const String | Ogre::MOT_SIMPLE_RENDERABLE
_OgreExport const String | Ogre::MOT_STATIC_GEOMETRY
template<int dims, typename T>
class _OgreMaybeExport | Ogre::Vector

## Macro Definition Documentation

## OGRE_DEBUG_NS_BEGIN

#define OGRE_DEBUG_NS_BEGIN

## OGRE_DEBUG_NS_END

#define OGRE_DEBUG_NS_END

## OGRE_TOKEN_PASTE_INNER

#define OGRE_TOKEN_PASTE_INNER | ( |  | x,
|  |  | y )

Value:
x ## y

## OGRE_TOKEN_PASTE

#define OGRE_TOKEN_PASTE | ( |  | x,
|  |  | y )

Value:
OGRE_TOKEN_PASTE_INNER(x, y)
OGRE_TOKEN_PASTE_INNER
#define OGRE_TOKEN_PASTE_INNER(x, y)
Definition OgrePrerequisites.h:47

## OGRE_VERSION

#define OGRE_VERSION ((OGRE_VERSION_MAJOR << 16) | (OGRE_VERSION_MINOR << 8) | OGRE_VERSION_PATCH)

## OGRE_MIN_VERSION

#define OGRE_MIN_VERSION | ( |  | MAJOR,
|  |  | MINOR,
|  |  | PATCH )

Value:
OGRE_VERSION >= ((MAJOR << 16) | (MINOR << 8) | PATCH)
OGRE_VERSION
#define OGRE_VERSION
Definition OgrePrerequisites.h:50

## _OgreMaybeExport

#define _OgreMaybeExport